Loading...
Searching...
No Matches
uhd::log::logging_info Struct Reference

`#include <uhd/utils/log.hpp>`

Collaboration diagram for uhd::log::logging_info:
[legend]

## Public Member Functions

| logging_info ()
| logging_info (const boost::posix_time::ptime &time_, const uhd::log::severity_level &verbosity_, const std::string &file_, const unsigned int &line_, const std::string &component_, const std::thread::id &thread_id_)

## Public Attributes

boost::posix_time::ptime | time
uhd::log::severity_level | verbosity
std::string | file
unsigned int | line
std::string | component
std::thread::id | thread_id
std::string | message

## Detailed Description

Logging info structure

Information needed to create a log entry is fully contained in the logging_info structure.

## Constructor & Destructor Documentation

## logging_info() [1/2]

uhd::log::logging_info::logging_info | ( |  | ) |

inline

## logging_info() [2/2]

uhd::log::logging_info::logging_info | ( | const boost::posix_time::ptime & | time_,
|  | const uhd::log::severity_level & | verbosity_,
|  | const std::string & | file_,
|  | const unsigned int & | line_,
|  | const std::string & | component_,
|  | const std::thread::id & | thread_id_ )

inline

## Member Data Documentation

## component

std::string uhd::log::logging_info::component

## file

std::string uhd::log::logging_info::file

## line

unsigned int uhd::log::logging_info::line

## message

std::string uhd::log::logging_info::message

## thread_id

std::thread::id uhd::log::logging_info::thread_id

## time

boost::posix_time::ptime uhd::log::logging_info::time

## verbosity

uhd::log::severity_level uhd::log::logging_info::verbosity

The documentation for this struct was generated from the following file:

- log.hpp